/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.DwManualExecJobDao;
import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.service.DwManualExecJobService;
import net.northking.cctp.dw.db.entity.DwManualExecJob;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.saas.db.TenantEntityService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-03-22 17:00:55  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "DwManualExecJobServiceImpl")
public class DwManualExecJobServiceImpl extends TenantEntityService<DwManualExecJob> implements DwManualExecJobService {
    private static final Logger logger = LoggerFactory.getLogger(DwManualExecJobServiceImpl.class);

    private final DwManualExecJobDao dwManualExecJobDao;

    public DwManualExecJobServiceImpl(DwManualExecJobDao dwManualExecJobDao) {
        this.dwManualExecJobDao = dwManualExecJobDao;
    }

    public BasicDao<DwManualExecJob> getDao() {
        return dwManualExecJobDao;
    }

    public DwManualExecJob createEntity() {
        return new DwManualExecJob();
    }

    @Override
    public Integer insertManualExecJobByBatch(List<DwManualExecJob> insertList) {
        return dwManualExecJobDao.insertManualExecJobByBatch(insertList);
    }

    @Override
    public List<MidProjectInfo> findProIdList() {
        return dwManualExecJobDao.findProIdList();
    }

}

